Redmine - Feature #5286

Need a way to load all issues in 1 web request, not just 25/50/100
Description

I'm trying to use Excel<-Redmine import feature | described in task #5284.

Another problem | see is that "# of issues per page" parameter is not saved in user settings and also can't be more than 100.
| tried query

http:/&lt;server&gt:/projects/&lt;my_proj&gt;/issues?per_page=5000&query_id=229

but it seems all "per_page" values are ignored except for "25, 50, 100".

As the result, the Excel<-Redmine import can only load and automatically update first 25/50/100 rows while | need to see ALL tasks
there.

| know | can export issues from redmine to a CSV file, but this is less convenient for automatic updates for the imported data in
Excel.

| understand a heavy query can add some load to the server, but | don't think this is a big issue in my circumstances.

Any help?

History

#1 - 2010-04-12 10:03 - Henrik Ammer

Check your Redmine settings. In your Settings -> General you have the "Objects per page options" where you can add your own definition. By adding
(for instance) 5000 there would make you able to get that many results into Excel.

#2 - 2010-04-12 19:19 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Indeed.

#3 - 2010-04-12 19:52 - Alex Last
Thanks, guys. | didn't know that.

#4 - 2010-05-07 17:07 - Nikolay Kotlyarov

- Status changed from Closed to Reopened

Need a way to load all issues in 1 web request, not just 25/50/100/any_other_finite_number
Could it be possible to add "all" option?

There could be a checkbox to enable that or something like:

Objects per page options: 25, 50, 100, 200, all

Multiple values and string "all" allowed (comma separated)

Changing "Objects per page" maximum value is a workaround and doing this whenever someone needs a bigger max-value(issues quantity grows
through time) implies that he must contact redmine admin.

#5 - 2010-05-07 17:39 - Felix Schéfer

| haven't used REST APIs much, but | have yet to stumble across one that didn't paginate... Any particular reason you aren't happy with the
paginated results other than "oh god | have to make more than one request that's too complicated :-O"?
#6 - 2010-05-27 15:05 - Nikolay Kotlyarov

Felix Schéafer wrote:
| haven't used REST APIs much, but | have yet to stumble across one that didn't paginate... Any particular reason you aren't happy with the
paginated results other than "oh god | have to make more than one request that's too complicated :-O"?

you're right, i am just lazy:)

But it is not for REST API, i'm talking about browser view:

for example a manager wants to see some statistics, he configures filters, grouping and columns as he need and.. he can not see results in one place
because of limited issues per page.

#7 - 2010-08-17 01:23 - Alex Last
| think this request's priority can be set to "LOW".

#8 - 2013-01-15 10:55 - Jan Niggemann (redmine.org team member)

Closing this as it's old and has no feedback since 2 years.

#9 - 2024-01-31 00:46 - Go MAEDA
- Status changed from Reopened to Closed

- Resolution changed from Invalid to Wont fix

#note-1 is the solution for this.
